Subject: Re: proftpd running on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 24 Apr 2003 07:51:18 +0200

Hallo Jason,

Am Mittwoch, 23. April 2003 um 22:35 schriebst du:

> Gerrit,

> On Wed, Apr 23, 2003 at 10:23:20PM +0200, Gerrit P. Haase wrote:
>> Am Mittwoch, 23. April 2003 um 12:42 schriebst du:
>> > Did you also change proftpd to understand that Cygwin's root uid and
>> > gid are not 0, but 18 and 544 respectively?  If not, will you?  Note
>> > that I can send you a patch that should point you in the right
>> > direction.
>> 
>> I saw s.th. similar in another source, openssh I guess.  I will
>> include it, no problem.  However, your patch would be highly welcome!

> The patch is in the following post:

>     http://cygwin.com/ml/cygwin/2003-04/msg01918.html

> Please test it and then try to get it accepted into proftp CVS.

It compiles without problems.  When I try to start the daemon from the
commandline I have problems, it cannot switch user context to the user
defined in /etc/proftpd.  Is there some magic needed for switching user
context in NT/Cygwin too (like it is needed for logon)?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/